Countries
Update a company country
Update an existing country configuration for the company
PUT
/
api
/
settings
/
company_countries
/
{id}
Update a company country
curl --request PUT \
--url https://api.fluid.app/api/settings/company_countries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_revision": "3f7a1c9e5b2d8f4a6c0e2b4d6f8a1c3e5b7d9f0a2c4e6b8d1f3a5c7e9b0d2f4a",
"company_country": {
"handling_fee": 5.5,
"requires_3ds": true
}
}
'import requests
url = "https://api.fluid.app/api/settings/company_countries/{id}"
payload = {
"expected_revision": "3f7a1c9e5b2d8f4a6c0e2b4d6f8a1c3e5b7d9f0a2c4e6b8d1f3a5c7e9b0d2f4a",
"company_country": {
"handling_fee": 5.5,
"requires_3ds": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: '3f7a1c9e5b2d8f4a6c0e2b4d6f8a1c3e5b7d9f0a2c4e6b8d1f3a5c7e9b0d2f4a',
company_country: {handling_fee: 5.5, requires_3ds: true}
})
};
fetch('https://api.fluid.app/api/settings/company_countries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_country": {
"id": 48214,
"currency": "CAD",
"base_shipping": "7.95",
"default": false,
"pause_incomplete_enrollment": false,
"handling_fee": 5.5,
"updated_at": "2026-09-14T15:32:08Z",
"settlement_currency": "USD",
"entity_legally_registered": true,
"tax_inclusive_pricing": null,
"tax_name": null,
"payment_method_priority": null,
"country_defaults": {
"tax_inclusive": false,
"tax_name": null
},
"country": {
"id": 38,
"name": "Canada",
"iso": "CA",
"tax_enabled": true,
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"iso_name": "CANADA",
"iso3": "CAN",
"currency_code": "CAD",
"currency_symbol": "$",
"province_required": true,
"tax_standard_rate": null
},
"entity": null,
"revision": "7c1e3a5b9d2f4e6a8c0b2d4f6e8a0c2e4b6d8f1a3c5e7b9d0f2a4c6e8b1d3f5a",
"checkout_requires_terms": null,
"tax_invoice_required": null,
"legal_settings": null,
"address_fields": null,
"require_gaiyo_shomen_in_enrollment": false,
"tax_apply": false,
"tax_business_id": null,
"tax_apply_discounted_rates": false,
"tax_auto_send_invoice": false,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "FR020100",
"customs": null,
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": false,
"use_company_manual_tax_settings": false,
"use_company_webhook_tax_settings": false,
"use_custom_avalara_tax_settings": false,
"custom_avalara_user_name": null,
"custom_avalara_password": null,
"use_custom_avalara_product_tax_code": false,
"tax_option": "avalara",
"tax_strategy": "avalara",
"tax_class": "fluid",
"effective_tax_class": "fluid",
"avalara_commit_enabled": false,
"tax_callback_registration_id": null,
"tax_callback_registration": null,
"warehouse": {
"id": 3120,
"name": "Scranton Warehouse",
"active": true,
"external_id": "SCR-01",
"metadata": {
"dock": "B"
},
"address": {
"id": 90417,
"name": "Scranton Warehouse",
"address1": "1725 Slough Avenue",
"address2": null,
"address3": null,
"city": "Scranton",
"state": "PA",
"subdivision_code": "US-PA",
"postal_code": "18505",
"country_code": "US",
"default": true,
"first_name": "Darryl",
"last_name": "Philbin"
}
},
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company"
},
"requires_3ds": true
},
"meta": {
"request_id": "c4f1b9e2-7a3d-4e8b-9f21-5d6a0b3e8c47",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"company_country": {
"id": 123,
"currency": "<string>",
"base_shipping": "0.0",
"default": true,
"test_mode": true,
"test_mode_resolvable": true,
"pause_incomplete_enrollment": true,
"handling_fee": 123,
"updated_at": "2023-11-07T05:31:56Z",
"settlement_currency": "<string>",
"entity_legally_registered": true,
"tax_inclusive_pricing": true,
"tax_name": "<string>",
"country_defaults": {
"tax_inclusive": true,
"tax_name": "<string>"
},
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_standard_rate": 123
},
"entity": {
"id": 123,
"legal_name": "<string>",
"classification": "<string>",
"trading_name": "<string>",
"country_iso": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"registration_number": "<string>",
"date_of_incorporation": "<string>",
"primary_mcc": 123,
"secondary_mcc": 123,
"phone_country_code": "<string>",
"phone": "<string>",
"website": "<string>",
"tax_id": "<string>",
"principal_same_as_registered_address": true,
"primary": true,
"status": "<string>",
"business_registration_file_url": "<string>",
"business_registration_file_name": "<string>",
"business_license_file_url": "<string>",
"business_license_file_name": "<string>",
"articles_of_incorporation_file_url": "<string>",
"articles_of_incorporation_file_name": "<string>",
"last_3_months_processing_statements": [
"<string>"
],
"business_identification_number": "<string>",
"w_9_file_url": "<string>",
"w_9_file_name": "<string>",
"business_registration_certificate_file_url": "<string>",
"business_registration_certificate_file_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"registered_address": {
"id": 123,
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
},
"principal_address": {
"id": 123,
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>"
}
},
"tax_apply": true,
"tax_business_id": "<string>",
"tax_apply_discounted_rates": true,
"tax_auto_send_invoice": true,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "<string>",
"customs": "<string>",
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": true,
"use_company_manual_tax_settings": true,
"use_company_webhook_tax_settings": true,
"use_custom_avalara_tax_settings": true,
"custom_avalara_user_name": "<string>",
"custom_avalara_password": "<string>",
"use_custom_avalara_product_tax_code": true,
"tax_option": "<string>",
"tax_strategy": "<string>",
"tax_class": "<string>",
"effective_tax_class": "<string>",
"avalara_commit_enabled": true,
"tax_callback_registration_id": 123,
"tax_callback_registration": {
"id": 123,
"uuid": "<string>",
"url": "<string>",
"country_codes": [
"<string>"
],
"owner_type": "<string>",
"droplet": {
"uuid": "<string>",
"name": "<string>",
"logo_url": "<string>"
}
},
"require_gaiyo_shomen_in_enrollment": true,
"requires_3ds": true,
"payment_method_priority": [
"<string>"
],
"revision": "<string>",
"checkout_requires_terms": true,
"tax_invoice_required": true,
"legal_settings": {
"cooling_off_period_days": 1,
"warranty_period_months": 1,
"cookie_consent_required": true,
"recurring_subscription_disclosure_required": true,
"order_button_label": "<string>",
"marketing_consent_mode": "opt_in"
},
"address_fields": [
{
"field": "<string>",
"visible": true,
"required": true,
"local_label": "<string>",
"column_width": "full",
"placeholder": "<string>"
}
],
"warehouse": {
"id": 123,
"name": "<string>",
"active": true,
"external_id": "<string>",
"metadata": {},
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_standard_rate": 123,
"currency_details": {}
},
"address": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"default": false,
"first_name": "<string>",
"last_name": "<string>"
}
},
"company": {
"id": 123,
"name": "<string>"
}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Body
application/json
⌘I
Update a company country
